### Name: BooleanFunction
### Title: Cryptographic Boolean Functions
### Aliases: BooleanFunction 'Boolean Function' wh.BooleanFunction
###   tt.BooleanFunction anf.BooleanFunction ANF.BooleanFunction
###   deg.BooleanFunction n.BooleanFunction ci.BooleanFunction
###   nl.BooleanFunction res.BooleanFunction isBal.BooleanFunction
###   isRes.BooleanFunction isCi.BooleanFunction equals.BooleanFunction
###   print.BooleanFunction anf ANF wh tt deg n ci nl res isBal isRes isCi
### Keywords: package math logic

### ** Examples

    truthTable <- c(0,1,1,0,1,0,0,1)
    f <- BooleanFunction(truthTable)
    g <- BooleanFunction("00100111")
    h <- BooleanFunction( c( tt(f), tt(g) ) ) # concatenation
    print( h )
    # 
    print( paste("f has (deg,ai,nl,res) = (", deg(f), ai(f), nl(f), res(f), ")" ))
    print( paste("g has (deg,ai,nl,res) = (", g$deg(), g$ai(), g$nl(), g$res(), ")" ))
    print( isBal(h) )   



